/* link to hbook     */
/*      CMV  94      */

#ifndef HBOOK_H_SEEN
#define HBOOK_H_SEEN

#ifdef __cplusplus
extern "C" {
#endif

void hbandx_(int_4 *,r_4 *,r_4 *,r_4 *);
void hbandy_(int_4 *,r_4 *,r_4 *,r_4 *);

void hbarx_(int_4 *);
void hbary_(int_4 *);

void hbfun1_(int_4 *,char *,int_4 *,r_4 *,r_4 *,r_4 fun(r_4 *),int_4);
void hbfun2_(int_4 *,char *,int_4 *,r_4 *,r_4 *,int_4 *,r_4 *,r_4 *
            ,r_4 fun(r_4 *,r_4 *),int_4);
void hbigbi_(int_4 *,int_4 *);
void hbook1_(int_4 *,char *,int_4 *,r_4 *,r_4 *,r_4 *,int_4);
void hbook2_(int_4 *,char *,int_4 *,r_4 *,r_4 *
            ,int_4 *,r_4 *,r_4 *,r_4 *,int_4);
void hbpro_(int_4 *,r_4 *);
void hbprof_(int_4 *,char *,int_4 *,r_4 *,r_4 *
            ,r_4 *,r_4 *,char *,int_4,int_4);
void hbprox_(int_4 *,r_4 *);
void hbproy_(int_4 *,r_4 *);
void hbslix_(int_4 *,int_4 *,r_4 *);
void hbsliy_(int_4 *,int_4 *,r_4 *);
void hcdir_(char *,char *,int_4,int_4);
void hdelet_(int_4 *);
void hfill_(int_4 *,r_4 *,r_4 *,r_4 *);
void hfithn_(int_4 *,char *,char *,int_4 *,r_4 *
            ,r_4 *,r_4 *,r_4 *,r_4 *,r_4 *,int_4,int_4);
void hfn_(int_4 *,r_4 *);
void hfunc_(int_4 *,r_4 fun(r_4 *));
void hgive_(int_4 *,char *,int_4 *,r_4 *,r_4 *
                          ,int_4 *,r_4 *,r_4 *,int_4 *,int_4 *);
void hgn_(int_4 *,int_4 *,int_4 *,r_4 *,int_4 *);
void hgnf_(int_4 *,int_4 *,r_4 *,int_4 *);
void hgnpar_(int_4 *,char *,int_4);
r_4 hi_(int_4 *,int_4 *);
void hidopt_(int_4 *,char *,int_4);
r_4 hie_(int_4 *,int_4 *);
r_4 hif_(int_4 *,int_4 *);
r_4 hij_(int_4 *,int_4 *,int_4 *);
void hijxy_(int_4 *,int_4 *,int_4 *,r_4 *,r_4 *);
void hix_(int_4 *,int_4 *,r_4 *);
void hldir_(char *,char *,int_4,int_4);
void hmdir_(char *,char *,int_4,int_4);
r_4 hmax_(int_4 *);
void hmaxim_(int_4 *,r_4 *);
r_4 hmin_(int_4 *);
void hminim_(int_4 *,r_4 *);
void hnorma_(int_4 *,r_4 *);
void hnoent_(int_4 *,int_4 *);
void hpak_(int_4 *,r_4 *);
void hpake_(int_4 *,r_4 *);
void hprint_(int_4 *);
void hrend_(char *,int_4);
void hrin_(int_4 *,int_4 *,int_4 *);
r_4 hrndm1_(int_4 *);
void hrndm2_(int_4 *,r_4 *,r_4 *);
void hropen_(int_4 *,char *,char *,char *,int_4 *,int_4 *,int_4,int_4,int_4);
void hrout_(int_4 *,int_4 *,char *,int_4);
void hscale_(int_4 *,r_4 *);
r_4 hstati_(int_4 *,int_4 *,char *,int_4 *,int_4);
r_4 hsum_(int_4 *);
void hunpak_(int_4 *,r_4 *,char *,int_4 *,int_4);
void hunpke_(int_4 *,r_4 *,char *,int_4 *,int_4);
r_4 hx_(int_4 *,r_4 *);
r_4 hxe_(int_4 *,r_4 *);
r_4 hxi_(int_4 *,r_4 *,int_4 *);
r_4 hxyij_(int_4 *,r_4 *,r_4 *,int_4 *,int_4 *);
r_4 hxy_(int_4 *,r_4 *,r_4 *);

#ifdef __cplusplus
}
#endif

#endif

